XulRunner for SWT

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

XulRunner for SWT

Mansour Al Akeel
I installed eclipse 4.3 (eclipse-reporting-kepler-R-linux-gtk.tar.gz)

I tried to preview a simple report that I designed. I got this exception:


!ENTRY org.eclipse.ui 4 0 2013-09-20 02:01:01.135
!MESSAGE Unhandled event loop exception
!STACK 0
org.eclipse.swt.SWTError: No more handles [Could not detect registered
XULRunner to use]
    at org.eclipse.swt.SWT.error(SWT.java:4423)
    at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:697)
    at org.eclipse.swt.browser.Browser.<init>(Browser.java:99)


google, lead me to few options:

setting -Dorg.eclipse.swt.browser.DefaultType=webkit didn't work.
this one  -Dorg.eclipse.swt.browser.UseWebKitGTK=true   didn't work either.

I created a symlink:
libwebkit-1.0.so.2 -> libwebkitgtk-1.0.so.0.13.4 To keep the old name.

So, there was no way to set the renderer to WebKit. And XulRunner is
no longer in the tree.

What other options are available for gentoo users to run swt browser ??



Thank you !

Reply | Threaded
Open this post in threaded view
|

Re: XulRunner for SWT

Florian Philipp-6
Am 20.09.2013 08:09, schrieb Mansour Al Akeel:

> I installed eclipse 4.3 (eclipse-reporting-kepler-R-linux-gtk.tar.gz)
>
> I tried to preview a simple report that I designed. I got this exception:
>
>
> !ENTRY org.eclipse.ui 4 0 2013-09-20 02:01:01.135
> !MESSAGE Unhandled event loop exception
> !STACK 0
> org.eclipse.swt.SWTError: No more handles [Could not detect registered
> XULRunner to use]
>     at org.eclipse.swt.SWT.error(SWT.java:4423)
>     at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:697)
>     at org.eclipse.swt.browser.Browser.<init>(Browser.java:99)
>
>
> google, lead me to few options:
>
> setting -Dorg.eclipse.swt.browser.DefaultType=webkit didn't work.
> this one  -Dorg.eclipse.swt.browser.UseWebKitGTK=true   didn't work either.
>
> I created a symlink:
> libwebkit-1.0.so.2 -> libwebkitgtk-1.0.so.0.13.4 To keep the old name.
>
> So, there was no way to set the renderer to WebKit. And XulRunner is
> no longer in the tree.
>
> What other options are available for gentoo users to run swt browser ??
>
>
Have you tried running eclipse with strace to see which library file
name and paths are looked up?

Regards,
Florian Philipp



signature.asc (271 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: XulRunner for SWT

Mansour Al Akeel
Thank you Florian.

No, I didn't use strace, but I added gtk2 use flag. Initially I had
gtk and gtk3 use flags, but not (gtk2).

I updated everything with:

emerge --update --deep --newuse world

The issue is resolved.




On Sat, Sep 21, 2013 at 11:38 AM, Florian Philipp <[hidden email]> wrote:

> Am 20.09.2013 08:09, schrieb Mansour Al Akeel:
>> I installed eclipse 4.3 (eclipse-reporting-kepler-R-linux-gtk.tar.gz)
>>
>> I tried to preview a simple report that I designed. I got this exception:
>>
>>
>> !ENTRY org.eclipse.ui 4 0 2013-09-20 02:01:01.135
>> !MESSAGE Unhandled event loop exception
>> !STACK 0
>> org.eclipse.swt.SWTError: No more handles [Could not detect registered
>> XULRunner to use]
>>     at org.eclipse.swt.SWT.error(SWT.java:4423)
>>     at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:697)
>>     at org.eclipse.swt.browser.Browser.<init>(Browser.java:99)
>>
>>
>> google, lead me to few options:
>>
>> setting -Dorg.eclipse.swt.browser.DefaultType=webkit didn't work.
>> this one  -Dorg.eclipse.swt.browser.UseWebKitGTK=true   didn't work either.
>>
>> I created a symlink:
>> libwebkit-1.0.so.2 -> libwebkitgtk-1.0.so.0.13.4 To keep the old name.
>>
>> So, there was no way to set the renderer to WebKit. And XulRunner is
>> no longer in the tree.
>>
>> What other options are available for gentoo users to run swt browser ??
>>
>>
>
> Have you tried running eclipse with strace to see which library file
> name and paths are looked up?
>
> Regards,
> Florian Philipp
>
>